#include "Utility.hpp"

#include <chrono>
#include <cstdlib>
#include <format>
#include <stdexcept>
#include <string>

namespace utl {
  std::string getEnv(const char* key) {
    const char* val = std::getenv(key);
    if (val == nullptr) {
      throw std::runtime_error("Environment variable " + std::string(key) + " not found.");
    }
    return val;
  }

  std::string getCurrentDate() {
    return std::format("{:%Y-%m-%d}", std::chrono::system_clock::now());
  }
}